Package com.tapjoy

# Class TapjoyConnectFlag

java.lang.Object
com.tapjoy.TapjoyConnectFlag

public class TapjoyConnectFlag extends Object
Flags used in `Tapjoy.connect(android.content.Context, String, java.util.Hashtable)` to define special startup options.
These flags can also be defined in the meta-data tags in AndroidManifest.xml. They must be put within the `<application>` tag and the format is:
<meta-data android:name="tapjoy.<flag_name>" android:value="<value>" />

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ALLOW_LEGACY_ID_FALLBACK`
  New in SDK 12.2.1, which defaults against fallback use of persistent identifiers for advertising.
  `static final Hashtable<String,Object>`
  `CONNECT_FLAG_DEFAULTS`
  Default values for the connect flags.
  `static final String`
  `DISABLE_ADVERTISING_ID`
  Turns off advertising_id from sending as params in network requests
  `static final String`
  `DISABLE_ADVERTISING_ID_CHECK`
  Turns off integration check for Android Advertising ID; when enabled, persistent identifier (GAID) is sent/called automatically.
  `static final String`
  `DISABLE_AUTOMATIC_SESSION_TRACKING`
  Turns off automatic session tracking.
  `static final String`
  `DISABLE_PERSISTENT_IDS`
  Deprecated.
  This legacy flag was deprecated as of SDK 12.2.1, which added integration check for Android Advertising ID.
  `static final String`
  `ENABLE_LOGGING`
  Deprecated.
  Deprecated since 14.3.0 Enables or disables Tapjoy SDK logging.
  `static final String[]`
  `FLAG_ARRAY`
  Array of possible values used to check Manifest meta-data tags.
  `static final String`
  `PLACEMENT_URL`
  Sets the base URL for the Tapjoy placement.
  `static final String`
  `SERVICE_URL`
  Sets the base URL for the Tapjoy server.
  `static final String`
  `TJC_OPTION_LOGGING_LEVEL`
  Sets the logging level for Tapjoy SDK.
  `static final String`
  `USER_ID`
  Sets the user ID when NOT using Tapjoy Managed Currency.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TapjoyConnectFlag()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SERVICE_URL

    public static final String SERVICE_URL
    Sets the base URL for the Tapjoy server.
    See Also:
      - Constant Field Values

  - ### PLACEMENT_URL

    public static final String PLACEMENT_URL
    Sets the base URL for the Tapjoy placement.
    See Also:
      - Constant Field Values

  - ### ENABLE_LOGGING

    @Deprecated public static final String ENABLE_LOGGING
    Deprecated.
    Deprecated since 14.3.0 Enables or disables Tapjoy SDK logging. False by default. Same functionality as `Tapjoy.setDebugEnabled(boolean)`. Use "true" to enable logging or "false" to disable logging.
    See Also:
      - Constant Field Values

  - ### TJC_OPTION_LOGGING_LEVEL

    public static final String TJC_OPTION_LOGGING_LEVEL
    Sets the logging level for Tapjoy SDK. Same functionality as `Tapjoy.setLoggingLevel(TJLogLevel)`}. Use TJLogLevel enum to set the logging threshold.
    See Also:
      - Constant Field Values

  - ### USER_ID

    public static final String USER_ID
    Sets the user ID when NOT using Tapjoy Managed Currency. Same functionality as `Tapjoy.setUserID(java.lang.String, TJSetUserIDListener)`
    See Also:
      - Constant Field Values

  - ### DISABLE_ADVERTISING_ID_CHECK

    public static final String DISABLE_ADVERTISING_ID_CHECK
    Turns off integration check for Android Advertising ID; when enabled, persistent identifier (GAID) is sent/called automatically. Normally used when you plan on submitting to a non-Google Play store where no Android Advertising ID will be present.
    See Also:
      - Constant Field Values

  - ### DISABLE_ADVERTISING_ID

    public static final String DISABLE_ADVERTISING_ID
    Turns off advertising_id from sending as params in network requests
    See Also:
      - Constant Field Values

  - ### DISABLE_PERSISTENT_IDS

    @Deprecated public static final String DISABLE_PERSISTENT_IDS
    Deprecated.
    This legacy flag was deprecated as of SDK 12.2.1, which added integration check for Android Advertising ID. To enable fallback use of persistent IDs for advertising where no Android Advertising ID exists, enable ALLOW_LEGACY_ID_FALLBACK.
    See Also:
      - Constant Field Values

  - ### ALLOW_LEGACY_ID_FALLBACK

    public static final String ALLOW_LEGACY_ID_FALLBACK
    New in SDK 12.2.1, which defaults against fallback use of persistent identifiers for advertising. Allows fallback to using persistent identifiers when no Android Advertising ID exists, such as when using an older device that does not support Google Play Services
    See Also:
      - Constant Field Values

  - ### DISABLE_AUTOMATIC_SESSION_TRACKING

    public static final String DISABLE_AUTOMATIC_SESSION_TRACKING
    Turns off automatic session tracking. Automatic session tracking is only effective for the devices >= API level 14 (ICS). To use session tracking for the devices under API level 14, you have two ways:
    - Tapjoy#onActivityStart(android.app.Activity), Tapjoy#onActivityStop(android.app.Activity)
    - Tapjoy#startSession(), Tapjoy#endSession()
    Use "true" to disable automatic session tracking.
    See Also:
      - Constant Field Values

  - ### FLAG_ARRAY

    public static final String[] FLAG_ARRAY
    Array of possible values used to check Manifest meta-data tags.

  - ### CONNECT_FLAG_DEFAULTS

    public static final Hashtable<String,Object> CONNECT_FLAG_DEFAULTS
    Default values for the connect flags.

- ## Constructor Details

  - ### TapjoyConnectFlag

    public TapjoyConnectFlag()